﻿--[[
Name: LibBabble-Artifacts-3.0
Revision: $Revision: 9 $
Maintainers: Dridzt
Website: http://www.wowace.com/addons/libbabble-artifacts-3-0
Dependencies: None
License: MIT
]]

local MAJOR_VERSION = "LibBabble-Artifacts-3.0"
local MINOR_VERSION = 90000 + tonumber(("$Revision: 9 $"):match("%d+"))

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

lib:SetBaseTranslations (
	{
	["Chalice of the Mountain Kings"] = "Chalice of the Mountain Kings",
	["Clockwork Gnome"] = "Clockwork Gnome",
	["Staff of Sorcerer-Thane Thaurissan"] = "Staff of Sorcerer-Thane Thaurissan",
	["The Innkeeper's Daughter"] = "The Innkeeper's Daughter",
	["Belt Buckle with Anvilmar Crest"] = "Belt Buckle with Anvilmar Crest",
	["Bodacious Door Knocker"] = "Bodacious Door Knocker",
	["Bone Gaming Dice"] = "Bone Gaming Dice",
	["Boot Heel with Scrollwork"] = "Boot Heel with Scrollwork",
	["Ceramic Funeral Urn"] = "Ceramic Funeral Urn",
	["Dented Shield of Horuz Killcrow"] = "Dented Shield of Horuz Killcrow",
	["Dwarven Baby Socks"] = "Dwarven Baby Socks",
	["Golden Chamber Pot"] = "Golden Chamber Pot",
	["Ironstar's Petrified Shield"] = "Ironstar's Petrified Shield",
	["Mithril Chain of Angerforge"] = "Mithril Chain of Angerforge",
	["Moltenfist's Jeweled Goblet"] = "Moltenfist's Jeweled Goblet",
	["Notched Sword of Tunadil the Redeemer"] = "Notched Sword of Tunadil the Redeemer",
	["Pewter Drinking Cup"] = "Pewter Drinking Cup",
	["Pipe of Franclorn Forgewright"] = "Pipe of Franclorn Forgewright",
	["Scepter of Bronzebeard"] = "Scepter of Bronzebeard",
	["Scepter of Charlga Razorflank"] = "Scepter of Charlga Razorflank",
	["Scorched Staff of Shadow Priest Anund"] = "Scorched Staff of Shadow Priest Anund",
	["Silver Kris of Korl"] = "Silver Kris of Korl",
	["Silver Neck Torc"] = "Silver Neck Torc",
	["Skull Staff of Shadowforge"] = "Skull Staff of Shadowforge",
	["Spiked Gauntlets of Anvilrage"] = "Spiked Gauntlets of Anvilrage",
	["Stone Gryphon"] = "Stone Gryphon",
	["Warmaul of Burningeye"] = "Warmaul of Burningeye",
	["Winged Helm of Corehammer"] = "Winged Helm of Corehammer",
	["Wooden Whistle"] = "Wooden Whistle",
	["Word of Empress Zoe"] = "Word of Empress Zoe",
	["Worn Hunting Knife"] = "Worn Hunting Knife",
	["Arrival of the Naaru"] = "Arrival of the Naaru",
	["The Last Relic of Argus"] = "The Last Relic of Argus",
	["Anklet with Golden Bells"] = "Anklet with Golden Bells",
	["Baroque Sword Scabbard"] = "Baroque Sword Scabbard",
	["Carved Harp of Exotic Wood"] = "Carved Harp of Exotic Wood",
	["Dignified Portrait"] = "Dignified Portrait",
	["Fine Crystal Candelabra"] = "Fine Crystal Candelabra",
	["Plated Elekk Goad"] = "Plated Elekk Goad",
	["Scepter of the Nathrezim"] = "Scepter of the Nathrezim",
	["Strange Silver Paperweight"] = "Strange Silver Paperweight",
	["Ancient Amber"] = "Ancient Amber",
	["Extinct Turtle Shell"] = "Extinct Turtle Shell",
	["Fossilized Hatchling"] = "Fossilized Hatchling",
	["Fossilized Raptor"] = "Fossilized Raptor",
	["Pterrordax Hatchling"] = "Pterrordax Hatchling",
	["Ancient Shark Jaws"] = "Ancient Shark Jaws",
	["Beautiful Preserved Fern"] = "Beautiful Preserved Fern",
	["Black Trilobite"] = "Black Trilobite",
	["Devilsaur Tooth"] = "Devilsaur Tooth",
	["Feathered Raptor Arm"] = "Feathered Raptor Arm",
	["Imprint of a Kraken Tentacle"] = "Imprint of a Kraken Tentacle",
	["Insect in Amber"] = "Insect in Amber",
	["Proto-Drake Skeleton"] = "Proto-Drake Skeleton",
	["Shard of Petrified Wood"] = "Shard of Petrified Wood",
	["Strange Velvet Worm"] = "Strange Velvet Worm",
	["Twisted Ammonite Shell"] = "Twisted Ammonite Shell",
	["Vicious Ancient Fish"] = "Vicious Ancient Fish",
	["Bones of Transformation"] = "Bones of Transformation",
	["Druid and Priest Statue Set"] = "Druid and Priest Statue Set",
	["Highborne Soul Mirror"] = "Highborne Soul Mirror",
	["Kaldorei Wind Chimes"] = "Kaldorei Wind Chimes",
	["Queen Azshara's Dressing Gown"] = "Queen Azshara's Dressing Gown",
	["Tyrande's Favorite Doll"] = "Tyrande's Favorite Doll",
	["Wisp Amulet"] = "Wisp Amulet",
	["Carcanet of the Hundred Magi"] = "Carcanet of the Hundred Magi",
	["Chest of Tiny Glass Animals"] = "Chest of Tiny Glass Animals",
	["Cloak Clasp with Antlers"] = "Cloak Clasp with Antlers",
	["Coin from Eldre'Thalas"] = "Coin from Eldre'Thalas",
	["Cracked Crystal Vial"] = "Cracked Crystal Vial",
	["Delicate Music Box"] = "Delicate Music Box",
	["Green Dragon Ring"] = "Green Dragon Ring",
	["Hairpin of Silver and Malachite"] = "Hairpin of Silver and Malachite",
	["Highborne Pyxis"] = "Highborne Pyxis",
	["Inlaid Ivory Comb"] = "Inlaid Ivory Comb",
	["Kaldorei Amphora"] = "Kaldorei Amphora",
	["Necklace with Elune Pendant"] = "Necklace with Elune Pendant",
	["Scandalous Silk Nightgown"] = "Scandalous Silk Nightgown",
	["Scepter of Xavius"] = "Scepter of Xavius",
	["Shattered Glaive"] = "Shattered Glaive",
	["Silver Scroll Case"] = "Silver Scroll Case",
	["String of Small Pink Pearls"] = "String of Small Pink Pearls",
	["Umbra Crescent"] = "Umbra Crescent",
	["Blessing of the Old God"] = "Blessing of the Old God",
	["Puzzle Box of Yogg-Saron"] = "Puzzle Box of Yogg-Saron",
	["Ewer of Jormungar Blood"] = "Ewer of Jormungar Blood",
	["Gruesome Heart Box"] = "Gruesome Heart Box",
	["Infested Ruby Ring"] = "Infested Ruby Ring",
	["Scepter of Nezar'Azret"] = "Scepter of Nezar'Azret",
	["Six-Clawed Cornice"] = "Six-Clawed Cornice",
	["Spidery Sundial"] = "Spidery Sundial",
	["Vizier's Scrawled Streamer"] = "Vizier's Scrawled Streamer",
	["Headdress of the First Shaman"] = "Headdress of the First Shaman",
	["Fiendish Whip"] = "Fiendish Whip",
	["Fierce Wolf Figurine"] = "Fierce Wolf Figurine",
	["Gray Candle Stub"] = "Gray Candle Stub",
	["Maul of Stone Guard Mur'og"] = "Maul of Stone Guard Mur'og",
	["Rusted Steak Knife"] = "Rusted Steak Knife",
	["Scepter of Nekros Skullcrusher"] = "Scepter of Nekros Skullcrusher",
	["Skull Drinking Cup"] = "Skull Drinking Cup",
	["Tile of Glazed Clay"] = "Tile of Glazed Clay",
	["Tiny Bronze Scorpion"] = "Tiny Bronze Scorpion",
	["Mummified Monkey Paw"] = "Mummified Monkey Paw", -- spell + item name = "Crawling Claw"
	["Pendant of the Scarab Storm"] = "Pendant of the Scarab Storm",
	["Ring of the Boy Emperor"] = "Ring of the Boy Emperor",
	["Scepter of Azj'Aqir"] = "Scepter of Azj'Aqir",
	["Scimitar of the Sirocco"] = "Scimitar of the Sirocco",
	["Staff of Ammunae"] = "Staff of Ammunae",
	["Canopic Jar"] = "Canopic Jar",
	["Castle of Sand"] = "Castle of Sand",
	["Cat Statue with Emerald Eyes"] = "Cat Statue with Emerald Eyes",
	["Engraved Scimitar Hilt"] = "Engraved Scimitar Hilt",
	["Sketch of a Desert Palace"] = "Sketch of a Desert Palace",
	["Soapstone Scarab Necklace"] = "Soapstone Scarab Necklace",
	["Tiny Oasis Mosaic"] = "Tiny Oasis Mosaic",
	["Haunted War Drum"] = "Haunted War Drum",
	["Voodoo Figurine"] = "Voodoo Figurine",
	["Zin'rokh, Destroyer of Worlds"] = "Zin'rokh, Destroyer of Worlds",
	["Atal'ai Scepter"] = "Atal'ai Scepter",
	["Bracelet of Jade and Coins"] = "Bracelet of Jade and Coins",
	["Cinnabar Bijou"] = "Cinnabar Bijou",
	["Drakkari Sacrificial Knife"] = "Drakkari Sacrificial Knife",
	["Eerie Smolderthorn Idol"] = "Eerie Smolderthorn Idol",
	["Feathered Gold Earring"] = "Feathered Gold Earring",
	["Fetish of Hir'eek"] = "Fetish of Hir'eek",
	["Fine Bloodscalp Dinnerware"] = "Fine Bloodscalp Dinnerware",
	["Gahz'rilla Figurine"] = "Gahz'rilla Figurine",
	["Jade Asp with Ruby Eyes"] = "Jade Asp with Ruby Eyes",
	["Lizard Foot Charm"] = "Lizard Foot Charm",
	["Skull-Shaped Planter"] = "Skull-Shaped Planter",
	["Tooth with Gold Filling"] = "Tooth with Gold Filling",
	["Zandalari Voodoo Doll"] = "Zandalari Voodoo Doll",
	["Nifflevar Bearded Axe"] = "Nifflevar Bearded Axe",
	["Vrykul Drinking Horn"] = "Vrykul Drinking Horn",
	["Fanged Cloak Pin"] = "Fanged Cloak Pin",
	["Flint Striker"] = "Flint Striker",
	["Intricate Treasure Chest Key"] = "Intricate Treasure Chest Key",
	["Scramseax"] = "Scramseax",
	["Thorned Necklace"] = "Thorned Necklace",
	["Pandaren Tea Set"] = "Pandaren Tea Set",
	["Pandaren Game Board"] = "Pandaren Game Board",
	["Twin Stein Set of Brewfather Quan Tou Kuo"] = "Twin Stein Set of Brewfather Quan Tou Kuo",
	["Walking Cane of Brewfather Ren Yun"] = "Walking Cane of Brewfather Ren Yun",
	["Empty Keg of Brewfather Xin Wo Yin"] = "Empty Keg of Brewfather Xin Wo Yin",
	["Carved Bronze Mirror"] = "Carved Bronze Mirror",
	["Gold-Inlaid Porcelain Funerary Figurine"] = "Gold-Inlaid Porcelain Funerary Figurine",
	["Apothecary Tins"] = "Apothecary Tins",
	["Pearl of Yu'lon"] = "Pearl of Yu'lon",
	["Standard of Niuzao"] = "Standard of Niuzao",
	["Umbrella of Chi-Ji"] = "Umbrella of Chi-Ji",
	["Spear of Xuen"] = "Spear of Xuen",
	["Manacles of Rebellion"] = "Manacles of Rebellion",
	["Cracked Mogu Runestone"] = "Cracked Mogu Runestone",
	["Terracotta Arm"] = "Terracotta Arm",
	["Petrified Bone Whip"] = "Petrified Bone Whip",
	["Thunder King Insignia"] = "Thunder King Insignia",
	["Edicts of the Thunder King"] = "Edicts of the Thunder King",
	["Iron Amulet"] = "Iron Amulet",
	["Warlord's Branding Iron"] = "Warlord's Branding Iron",
	["Mogu Coin"] = "Mogu Coin",
	["Worn Monument Ledger"] = "Worn Monument Ledger",
	["Quilen Statuette"] = "Quilen Statuette",
	["Anatomical Dummy"] = "Anatomical Dummy",	
	}
)

if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)

elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations (
	--@localization(locale="deDE", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations (
	--@localization(locale="frFR", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations (
	--@localization(locale="koKR", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "esES" or GAME_LOCALE == "esMX" then
	lib:SetCurrentTranslations (
	--@localization(locale="esES", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations (
	--@localization(locale="ruRU", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations (
	--@localization(locale="zhCN", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations (
	--@localization(locale="zhTW", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "ptBR" then
	lib:SetCurrentTranslations (
	--@localization(locale="ptBR", format="lua_table", handle-unlocalized="english")@
)

elseif GAME_LOCALE == "itIT" then
	lib:SetCurrentTranslations (
	--@localization(locale="itIT", format="lua_table", handle-unlocalized="english")@
)

else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
